%define module	django-haystack

Name:		python-%{module}
Version:	2.8.1
Release:	%mkrel 4
Summary:	Django module for modular search
Group:		Development/Python
License:	BSD
URL:		http://haystacksearch.org/
Source:		https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Search doesn't have to be hard. Haystack lets you write your search code once
and choose the search engine you want it to run on. With a familiar API that
should make any Djangonaut feel right at home and an architecture that allows
you to swap things in and out as you need to, it's how search ought to be.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Django module for modular search
Group:		Development/Python
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)

%description -n python3-%{module}
Search doesn't have to be hard. Haystack lets you write your search code once
and choose the search engine you want it to run on. With a familiar API that
should make any Djangonaut feel right at home and an architecture that allows
you to swap things in and out as you need to, it's how search ought to be.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

find . -name '.gitignore' -delete

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc AUTHORS README.rst docs
%{python3_sitelib}/haystack/
%{python3_sitelib}/django_haystack-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.8.1-4.mga8
+ Revision: 1531859
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.8.1-3.mga8
+ Revision: 1441330
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 2.8.1-2.mga8
+ Revision: 1430838
- drop python2 support

* Fri Mar 01 2019 daviddavid <daviddavid> 2.8.1-1.mga7
+ Revision: 1370910
- new version: 2.8.1

* Fri Jan 11 2019 daviddavid <daviddavid> 2.8.0-3.mga7
+ Revision: 1354922
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.8.0-2.mga7
+ Revision: 1288690
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 2.8.0-1.mga7
+ Revision: 1212277
- new version: 2.8.0

* Sun Jan 07 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1191250
- new version: 2.6.1
- rename python-django-haystack to python2-django-haystack

* Sat Aug 05 2017 pterjan <pterjan> 2.4.1-4.mga7
+ Revision: 1135382
- Rebuild for python 3.6

* Sat Jan 07 2017 daviddavid <daviddavid> 2.4.1-3.mga6
+ Revision: 1080576
- revert to release 2.4.1 as reviewboard is not yet compatible with 2.5.1

* Tue Jan 03 2017 daviddavid <daviddavid> 2.5.1-1.mga6
+ Revision: 1079836
- new version: 2.5.1

* Sat Feb 20 2016 umeabot <umeabot> 2.4.1-2.mga6
+ Revision: 972242
- Mageia 6 Mass Rebuild

* Sat Oct 31 2015 daviddavid <daviddavid> 2.4.1-1.mga6
+ Revision: 896856
- new version: 2.4.1

* Wed Oct 07 2015 daviddavid <daviddavid> 2.4.0-2.mga6
+ Revision: 886812
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 2.4.0-1.mga6
+ Revision: 837993
- new version: 2.4.0
- add more docs

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 739361
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.0-3.mga5
+ Revision: 728285
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 687981
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 daviddavid <daviddavid> 2.2.0-1.mga5
+ Revision: 659690
- new version: 2.2.0

* Sat May 31 2014 pterjan <pterjan> 2.1.0-6.mga5
+ Revision: 628568
- Rebuild for new Python

* Tue Apr 22 2014 daviddavid <daviddavid> 2.1.0-5.mga5
+ Revision: 617357
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 2.1.0-4.mga5
+ Revision: 617324
- remove unneeded BRs on python-devel
- add a provides on django-haystack
- add doc on both packages
- fix correct requires on python3 package

* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 543377
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.0-2.mga4
+ Revision: 498371
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 nmartin <nmartin> 2.1.0-1.mga4
+ Revision: 494909
- Add python3 support
- Update to new version 2.1.0

* Sun Jan 13 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 378675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 16 2011 misc <misc> 1.2.4-1.mga2
+ Revision: 124818
- add description
- imported package python-django-haystack

